<?php
/* Contact Form 7 support functions
------------------------------------------------------------------------------- */

// Theme init priorities:
// 9 - register other filters (for installer, etc.)
if (!function_exists('run_gran_cf7_theme_setup9')) {
	add_action( 'after_setup_theme', 'run_gran_cf7_theme_setup9', 9 );
	function run_gran_cf7_theme_setup9() {

		if (run_gran_exists_cf7()) {
			add_action( 'wp_enqueue_scripts', 								'run_gran_cf7_frontend_scripts', 1100 );
			add_filter( 'run_gran_filter_merge_styles',						'run_gran_cf7_merge_styles' );
		}
		if (is_admin()) {
			add_filter( 'run_gran_filter_tgmpa_required_plugins',			'run_gran_cf7_tgmpa_required_plugins' );
		}
	}
}
 
// Filter to add in the required plugins list
if ( !function_exists( 'run_gran_cf7_tgmpa_required_plugins' ) ) {
	
	function run_gran_cf7_tgmpa_required_plugins($list=array()) {
		if (run_gran_storage_isset('required_plugins', 'contact-form-7')) {
			// CF7 plugin
			$list[] = array(
					'name' 		=> run_gran_storage_get_array('required_plugins', 'contact-form-7'),
					'slug' 		=> 'contact-form-7',
					'required' 	=> false
			);
		}
		return $list;
	}
}

// Check if cf7 installed and activated
if ( !function_exists( 'run_gran_exists_cf7' ) ) {
	function run_gran_exists_cf7() {
		return class_exists('WPCF7');
	}
}


// Enqueue custom styles
if ( !function_exists( 'run_gran_cf7_frontend_scripts' ) ) {
	
	function run_gran_cf7_frontend_scripts() {
		if (run_gran_is_on(run_gran_get_theme_option('debug_mode')) && run_gran_get_file_dir('plugins/contact-form-7/contact-form-7.css')!='')
			wp_enqueue_style( 'run-gran-contact-form-7',  run_gran_get_file_url('plugins/contact-form-7/contact-form-7.css'), array(), null );
	}
}

// Merge custom styles
if ( !function_exists( 'run_gran_cf7_merge_styles' ) ) {
	
	function run_gran_cf7_merge_styles($list) {
		$list[] = 'plugins/contact-form-7/contact-form-7.css';
		return $list;
	}
}


?>