<?php
/* Elegro Crypto Payment support functions
------------------------------------------------------------------------------- */

// Theme init priorities:
// 9 - register other filters (for installer, etc.)
if ( ! function_exists( 'run_gran_elegro_payment_theme_setup9' ) ) {
	add_action( 'after_setup_theme', 'run_gran_elegro_payment_theme_setup9', 9 );
	function run_gran_elegro_payment_theme_setup9() {
		if (run_gran_exists_elegro_payment()) {
			add_action( 'wp_enqueue_scripts', 								'run_gran_elegro_payment_frontend_scripts', 1100 );
			add_filter( 'run_gran_filter_merge_styles',					'run_gran_elegro_payment_merge_styles' );
		}
		if ( is_admin() ) {
			add_filter( 'run_gran_filter_tgmpa_required_plugins', 'run_gran_elegro_payment_tgmpa_required_plugins' );
		}
	}
}

// Filter to add in the required plugins list
if ( !function_exists( 'run_gran_elegro_payment_tgmpa_required_plugins' ) ) {
	
	function run_gran_elegro_payment_tgmpa_required_plugins($list=array()) {
		if (run_gran_storage_isset('required_plugins', 'elegro-payment')) {
			$list[] = array(
				'name' 		=> run_gran_storage_get_array('required_plugins', 'elegro-payment'),
				'slug' 		=> 'elegro-payment',
				'required' 	=> false
			);
		}
		return $list;
	}
}

// Check if this plugin installed and activated
if ( ! function_exists( 'run_gran_exists_elegro_payment' ) ) {
	function run_gran_exists_elegro_payment() {
		return class_exists( 'WC_Elegro_Payment' );
	}
}

// Merge custom styles
if ( !function_exists( 'run_gran_elegro_payment_merge_styles' ) ) {
	
	function run_gran_elegro_payment_merge_styles($list) {
		$list[] = 'plugins/elegro-payment/elegro-payment.css';
		return $list;
	}
} 

// Enqueue custom styles
if ( !function_exists( 'run_gran_elegro_payment_frontend_scripts' ) ) {
	
	function run_gran_elegro_payment_frontend_scripts() {
		if (run_gran_is_on(run_gran_get_theme_option('debug_mode')) && run_gran_get_file_dir('plugins/elegro-payment/elegro-payment.css')!='')
			wp_enqueue_style( 'run-gran-elegro-payment',  run_gran_get_file_url('plugins/elegro-payment/elegro-payment.css'), array(), null );
	}
}
?>