<?php
/* Revolution Slider support functions
------------------------------------------------------------------------------- */

// Theme init priorities:
// 9 - register other filters (for installer, etc.)
if (!function_exists('run_gran_revslider_theme_setup9')) {
	add_action( 'after_setup_theme', 'run_gran_revslider_theme_setup9', 9 );
	function run_gran_revslider_theme_setup9() {
		if (run_gran_exists_revslider()) {
			add_action( 'wp_enqueue_scripts', 					'run_gran_revslider_frontend_scripts', 1100 );
			add_filter( 'run_gran_filter_merge_styles',			'run_gran_revslider_merge_styles' );
		}
		if (is_admin()) {
			add_filter( 'run_gran_filter_tgmpa_required_plugins','run_gran_revslider_tgmpa_required_plugins' );
		}
	}
}

// Filter to add in the required plugins list
if ( !function_exists( 'run_gran_revslider_tgmpa_required_plugins' ) ) {
	
	function run_gran_revslider_tgmpa_required_plugins($list=array()) {
		if (run_gran_storage_isset('required_plugins', 'revslider')) {
			$path = run_gran_get_file_dir('plugins/revslider/revslider.zip');
			if (!empty($path) || run_gran_get_theme_setting('tgmpa_upload')) {
				$list[] = array(
					'name' 		=> run_gran_storage_get_array('required_plugins', 'revslider'),
					'slug' 		=> 'revslider',
					'version'	=> '6.6.18',
					'source'	=> !empty($path) ? $path : 'upload://revslider.zip',
					'required' 	=> false
				);
			}
		}
		return $list;
	}
}

// Check if RevSlider installed and activated
if ( !function_exists( 'run_gran_exists_revslider' ) ) {
	function run_gran_exists_revslider() {
		return function_exists('rev_slider_shortcode');
	}
}
	
// Enqueue custom styles
if ( !function_exists( 'run_gran_revslider_frontend_scripts' ) ) {
	
	function run_gran_revslider_frontend_scripts() {
		if (run_gran_is_on(run_gran_get_theme_option('debug_mode')) && run_gran_get_file_dir('plugins/revslider/revslider.css')!='')
			wp_enqueue_style( 'run-gran-revslider',  run_gran_get_file_url('plugins/revslider/revslider.css'), array(), null );
	}
}
	
// Merge custom styles
if ( !function_exists( 'run_gran_revslider_merge_styles' ) ) {
	
	function run_gran_revslider_merge_styles($list) {
		$list[] = 'plugins/revslider/revslider.css';
		return $list;
	}
}
?>