<?php
/* Instagram Feed support functions
------------------------------------------------------------------------------- */

// Theme init priorities:
// 9 - register other filters (for installer, etc.)
if (!function_exists('run_gran_trx_updater_theme_setup9')) {
    add_action( 'after_setup_theme', 'run_gran_trx_updater_theme_setup9', 9 );
    function run_gran_trx_updater_theme_setup9() {
        if (is_admin()) {
            add_filter( 'run_gran_filter_tgmpa_required_plugins',		'run_gran_trx_updater_tgmpa_required_plugins' );
        }
    }
}

// Filter to add in the required plugins list
if ( !function_exists( 'run_gran_trx_updater_tgmpa_required_plugins' ) ) {
    function run_gran_trx_updater_tgmpa_required_plugins($list=array()) {
        if (run_gran_storage_isset('required_plugins', 'trx_updater')) {
            $list[] = array(
                'name' 		=> run_gran_storage_get_array('required_plugins', 'trx_updater'),
                'slug' 		=> 'trx_updater',
                'version'   => '2.1.2',
                'source'	=> run_gran_get_file_dir('plugins/trx_updater/trx_updater.zip'),
                'required' 	=> false
            );
        }
        return $list;
    }
}

// Check if Instagram Feed installed and activated
if ( !function_exists( 'run_gran_exists_trx_updater' ) ) {
    function run_gran_exists_trx_updater() {
        return defined('TRX_UPDATER_VERSION');
    }
}
?>